/** 
 * @Title: HandleJSON.java 
 * @Package com.zhiwei.util 
 * @Description: TODO(用一句话描述该文件做什么) 
 * @author hero 
 * @date 2016年1月28日 下午6:36:32 
 * @version V1.0 
 */ 
package com.zhiwei.util;

import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;

import net.sf.json.JSONObject;

/** 
 * @ClassName: HandleJSON 
 * @Description: TODO(处理服务器传递过来的json文件) 
 * @author hero 
 * @date 2016年1月28日 下午6:36:32  
 */
public class HandleJSON {
	
	
	/**
	 * 
	 * @Title: getJson 
	 * @Description: TODO(处理服务器传递过来的json文件) 
	 * @param @param in
	 * @param @return 设定文件 
	 * @return String 返回类型
	 */
	public static JSONObject handleJSON(InputStream in)
	{
		JSONObject dataJSON = new JSONObject();
		try {
			BufferedReader reader = new BufferedReader(new InputStreamReader(in,"utf-8"));
			StringBuilder sb = new StringBuilder();
			String line = null;
			while ((line = reader.readLine()) != null) {
				sb.append(line);
			}
			String result = sb.toString();
			reader.close();
			in.close();
			dataJSON = JSONObject.fromObject(result);
		} catch (Exception e) {
			e.printStackTrace();
			return null;
		}
		return dataJSON;
	}
}
